# New Stable Release

Radarr v4.1.0.6175 has been released on `master`

- **Users who do not wish to be on the alpha `nightly` or beta `develop` testing branches should take advantage of this parity and switch to `master`

A reminder about the `develop` and `nightly` branches

- **develop - Current Develop/Beta - (Beta): This is the testing edge. Released after tested in nightly to ensure no immediate issues. New features and bug fixes released here first after nightly. It can be considered semi-stable, but is still beta. This version will receive updates either weekly or biweekly depending on development.**
- **nightly - Current Nightly/Unstable - (Alpha/Unstable) : This is the bleeding edge. It is released as soon as code is committed and passes all automated tests. This build may have not been used by us or other users yet. There is no guarantee that it will even run in some cases. This branch is only recommended for advanced users. Issues and self investigation are expected in this branch. Use this branch only if you know what you are doing and are willing to get your hands dirty to recover a failed update. This version is updated immediately.**

# Announcements

- Radarr Postgres Database Support has landed in `nightly` and will be coming to `develop` _soon_
- Radarr Plex Watchlist Support has landed in `nightly` and will be coming to `develop` _soon_
- "FFMpeg 5.0.1" fixes issues with FFprobe crashing on macOS
- Radarr improved collections support coming _soon_^(tm)

# Additional Commentary

- Lidarr v1 coming to `develop` as beta soon^(tm)
- [Lidarr](https://lidarr.audio/donate), [Prowlarr](https://prowlarr.com/donate), [Radarr](https://radarr.video/donate), [Readarr](https://readarr.com/donate) now accept direct bitcoin donations
- [Readarr official beta on `develop` announced](https://www.reddit.com/r/Readarr/comments/sxvj8y/new_beta_release_develop_v0101248/)
- [Lidarr Postgres Database Support in development (Draft PR#2625)](https://github.com/Lidarr/Lidarr/pull/2625)

# Releases

## Native

- [GitHub Releases](https://github.com/Radarr/Radarr/releases)

- [Wiki Installation Instructions](https://wiki.servarr.com/radarr/installation)

## Docker

- [hotio/Radarr:release](https://hotio.dev/containers/radarr)

- [lscr.io/linuxserver/Radarr:latest](https://docs.linuxserver.io/images/docker-radarr)

## NAS Packages

- Synology - Please ask the SynoCommunity to update the base package; however, you can update in-app normally

- QNAP - Please ask the QNAP to update the base package; however, you should be able to update in-app normally

------------

# Release Notes

## v4.1.0.6175 (changes since v4.1.0.6122)

- FFMpeg 5.0.1

- Other bug fixes and improvements, see GitHub history

## v4.1.0.6122 (changes since v4.1.0.6095)

- Fixed: Loading old commands from database

- Fixed: Scrolling in Firefox in small window (requires refresh)

- Don't return early after re-running checks after startup grace period

- Fixed: Delay health check notifications on startup

- New: Schedule refresh and process monitored download tasks at high priority

- Fixed: Use Digital Release in ChangeFileDate if no Physical

- Fixed: Cleanup Temp files after backup creation

- Centralise image choice, update to latest images

- Translated using Weblate (Chinese (Simplified) (zh_CN)) [skip ci]

- Other bug fixes and improvements, see GitHub history

## v4.1.0.6095 (changes since v4.0.5.5981)

- Fixed: Validation when testing indexers, import lists, connections and download clients

- New: Added UDP syslog support

- Add error handling to Notifiarr connect to reduce Sentry hits

- Update multi parser test

- Remove old Multi language workaround

- Add response size to http responses

- Linting fixes for frontend following eslint package upgrade

- FontAwesome 6

- Bump react-text-truncate to 0.18.0

- Bump qs to 6.10.3

- Bump clipboard.js to 2.0.10

- Change react-custom-scrollbars to react-custom-scrollbars-2

- Update frontend babel packages

- Update frontend stylelint packages

- Update frontend eslint packages

- Bump Sentry to 3.15.0

- Bump NLog to 4.7.14

- Bump FluentMigrator to 3.3.2

- Bump dotnet to 6.0.3

- Bump DryIoc to 4.8.8

- Translated using Weblate (Chinese (Simplified)) [skip ci]

- Automated API Docs update

- Allow more startup time for openapi generation

- Bump Swashbuckle to 6.3.0

- Removed non-functional altyear API controller

- Update API docs

- API is v3

- Fix Prowlarr references

- Autogenerated API docs

- Translated using Weblate (Portuguese (Brazil)) [skip ci]

- Translated using Weblate (French) [skip ci]

- New: Language filter on manual search

- Fix HistorySpecification tests

- New: Original Language and Title sort and filter options

- Fixed: Clearing logs not updating UI once complete

- Fixed: On Import notifications for webhooks

- Fixed: Send download client name instead of type for grab events

- New: Add qBittorrent sequential order and first and last piece priority options

- Fixed: Profiles with upgrades disabled incorrectly allowing upgrades in some cases

- New: Add Release group to history for all events

- Bump FFProbe to 5.0

- Fixed: Parsing of quality in DP.WEB releases

- Fixed: Correctly Detect Remux prefixed by Brackets

- Fixed: Treat 720p BR Remux as BluRay

- Fixed: Better Cleansing of Tracker Announce Keys

- New:  Dont parse hash as release group

- New: Support for parsing various Anime Groups

- Fixed: Dont Parse HDRip as group

- New: Support for parsing [HDO] as HDO Group

- Fixed: Updater version number logging

- Adjusted the Windows LongPath support check for valid segment lengths

- PWA missing name

- Translated using Weblate (Chinese (Traditional) (zh_TW)) [skip ci]

- SimpleTitleRegex catchup

- Fixed: Assume SABnzbd develop version is 3.0.0 if not specified

- Bump node build version to 16.X LTS

- Bump dotnet to 6.0.2

- Bump version to 4.1.0

- Fixed: Update from version in logs

- Other bug fixes and improvements, see GitHub history
